package cn.com.qmth.examcloud.core.examwork.dao.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * description
 *
 * @author qinchao
 * @date 2021/4/14 16:28
 */
public enum IpLimitType {
    /**
     * 允许访问
     */
    Has_access(0, "允许访问"),
    /**
     * 禁止访问
     */
    No_Access(1, "禁止访问");

    private Integer id;

    private String name;

    private IpLimitType() {
    }

    private IpLimitType(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static IpLimitType formById(Integer id) {
        if (id == null) {
            return null;
        }
        for (IpLimitType iplimitType : IpLimitType.values()) {
            if (iplimitType.getId().equals(id)) {
                return iplimitType;
            }
        }
        return null;
    }

    public static IpLimitType formByName(String name) {
        if (StringUtils.isBlank(name)) {
            return null;
        }
        for (IpLimitType ipLimitType : IpLimitType.values()) {
            if (ipLimitType.getName().equals(name)) {
                return ipLimitType;
            }
        }
        return null;
    }

}

